!初期不整を入れるプログラムsyokignu2.fを使ってからこれを使う
!後藤資料のkaikiを使う前提でtate,yoko,tate2,yoko2を出す
!まとめデータ(応力-縦表-横表-縦裏-横裏)は8番に出す。
!データ処理は30秒の平均を取る。
!kaiki2の9を'で置換してから(:%s/9/'/g のように)
!gnuplot<kaiki2
!を実行すると、
!デフォルトでは縦の裏表平均ヤング率を出してくれる。
!秒数によって荷重段階の数を買えないといけないので
!j=1,??のところとポアソン比の計算phなど
!を変えないといけません
implicit real*8(a-h,o-z)
dimension x(500000),y(500000),x2(500000),y2(500000)
character filename*48
open(7,file='yang2.csv')
open (8,file='141118.csv')
open (9,file='tate')
open (10,file='tate2')
open (11,file='yoko')
open (12,file='yoko2')
open (13,file='tatehei')
open (14,file='yokohei')
open (15,file='kaiki2')
!m単位（寸法を入れてください)
b1=19.31d-3
b2=19.91d-3
b3=20.02d-3
h1=2.17d-3
h2=2.16d-3
h3=2.16d-3
!平均の計算
bh=(b1+b2+b3)/3
he=(h1+h2+h3)/3
dmenseki=bh*he
!!kaku
write(8,'("bheikin,he,dmenseki")')
write(8,'(1pe13.5,a,1pe13.5,a,1pe13.5)') bh,' ',he,' ',dmenseki
!実験値の読み込み
!最初を飛ばす(荷重を載せてない段階)
do i=1,29
read (7,'( )')
end do
!初期値
nsyokiti=0
write(8,'(i6,a,i6,a,i6,a,i6,a,i6)')&
    &nsyokiti,' ',nsyokiti,' ',nsyokiti,' ',nsyokiti,' ',nsyokiti
!
gx=0
gy=0
gx2=0
gy2=0
heigoux=0
heigouy=0
heigoux2=0
heigouy2=0
oryoku=0
!総秒数が330秒で、載荷後5〜29秒の時の平均を取る場合
do j=1,10
!載荷後1〜4秒を飛ばす
do k=1,4
read (7,'( )')
end do
do i=5,29
read(7,*) n,x(i),y(i),x2(i),y2(i)!縦表,縦裏,横表,横裏
gx=gx+x(i)!縦表
gy=gy+y(i)!縦裏
gx2=gx2+x2(i)!横表
gy2=gy2+y2(i)!横裏
end do
heigoux=1.d-6*gx/25
heigouy=1.d-6*gy/25
heigoux2=1.d-6*gx2/25
heigouy2=1.d-6*gy2/25
heigou3=(heigoux+heigouy)/2!縦のオモテウラ平均
heigou4=(heigoux2+heigouy2)/2!横のオモテウラ平均
oryoku=j*9.8/dmenseki
poa=heigoux2/heigoux
poa2=heigouy2/heigouy
poah=poah+poa
poah2=poah2+poa2
write(8,'(1pe13.5,a,1pe13.5,a,1pe13.5,a,1pe13.5,a,1pe13.5,a,1pe13.5,a,1pe13.5)')&
    &oryoku,' ',heigoux,' ',heigouy,' ',heigoux2,' ',heigouy2,' ',poa,' ',poa2
write(9,'(1pe13.5,a,1pe13.5)')&
    &heigoux,' ',oryoku
write(10,'(1pe13.5,a,1pe13.5)')&
    &heigouy,' ',oryoku
write(11,'(1pe13.5,a,1pe13.5)')&
    &heigoux2,' ',oryoku
write(12,'(1pe13.5,a,1pe13.5)')&
    &heigouy2,' ',oryoku
write(13,'(1pe13.5,a,1pe13.5)')&
    &heigou3,' ',oryoku
write(14,'(1pe13.5,a,1pe13.5)')&
    &heigou4,' ',oryoku
!ゼロに戻す
gx=0
gy=0
gx2=0
gy2=0
heigoux=0
heigouy=0
heigoux2=0
heigou3=0
heigou4=0
heigouy2=0
oryoku=0
end do
ph=poah/10
ph2=poah2/10
ph3=(ph+ph2)/2
write(8,'(1pe13.5,a,1pe13.5,a,1pe13.5)')&
    &ph,' ',ph2,' ',ph3
close(8)
close(7)
close(9)
close(10)
close(11)
close(12)
close(13)
close(14)
write(15,'("set term png")')
write(15,'("set output 9nantoka.png9 ")')
write(15,'("f(x)=a*x+b")')
write(15,'("fit f(x) 9tatehei9 using 1:2 via a,b")')
write(15,'("plot 9tatehei9 pt 2,f(x) w l")')
close(15)
end 
